<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbServiceDomainTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_service__domain', function(Blueprint $table)
		{
			$table->foreign('domain_registrar_id', 'fk_sd_hrp')->references('id')->on('ab_domain_registrar')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('domain_tld_id', 'fk_sd_ht')->references('id')->on('ab_domain_tld')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('service_id', 'fk_sd_svc')->references('id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_service__domain', function(Blueprint $table)
		{
			$table->dropForeign('fk_sd_hrp');
			$table->dropForeign('fk_sd_ht');
			$table->dropForeign('fk_sd_svc');
		});
	}

}
